Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.services.task.lifecycle.listeners
Class BAMTaskEventListener

    java.lang.Object
      org.jbpm.services.task.lifecycle.listeners.BAMTaskEventListener

All Implemented Interfaces:
  TaskLifeCycleEventListener

    @ApplicationScoped
    public class BAMTaskEventListener

extends Object
implements TaskLifeCycleEventListener

This listener implementation populates a table named BAMTASKCUMMARY in order to allow BAM module to query all tasks.

The available status for a task instance are:

See Also:
  `
  - Created
  - Ready
  - Reserved
  - InProgress
  - Suspended
  - Completed
  - Failed
  - Error
  - Exited
  - Obsolete

  The BAM module does not use all task predefined stauts, the following list shows the status for a jBPM task and the relationship with the BAM task status:

  - Kie Task status - BAM task status
  - Created - Created
  - Ready - Ready
  - Reserved - Reserved
  - InProgress - InProgress
  - Suspended - Suspended
  - Completed - Completed
  - Exited - Exited
  - Failed - Error
  - Error - Error
  - Obsolete - Error
  `

Nested Class Summary
`protected static interface` | `BAMTaskEventListener.BAMTaskWorker` Interface for performing additional operations to a `org.jbpm.services.task.impl.model.BAMTaskSummaryImpl` instance.

Constructor Summary
`BAMTaskEventListener()`

Method Summary
`void` | `afterTaskActivatedEvent(Task ti)`
`void` | `afterTaskAddedEvent(Task ti)`
`void` | `afterTaskClaimedEvent(Task ti)`
`void` | `afterTaskCompletedEvent(Task ti)`
`void` | `afterTaskDelegatedEvent(Task ti)`
`void` | `afterTaskExitedEvent(Task ti)`
`void` | `afterTaskFailedEvent(Task ti)` When a task is failed, the status for dashbuilder integration task must be Exited.
`void` | `afterTaskForwardedEvent(Task ti)`
`void` | `afterTaskForwaredEvent(Task ti)`
`void` | `afterTaskNomiatedEvent(Task ti)`
`void` | `afterTaskReleasedEvent(Task ti)`
`void` | `afterTaskResumedEvent(Task ti)`
`void` | `afterTaskSkippedEvent(Task ti)` When a task is skipped, the status for dashbuilder integration task must be Exited.
`void` | `afterTaskStartedEvent(Task ti)`
`void` | `afterTaskStoppedEvent(Task ti)` When a task is stopped, the status for dashbuilder integration task must be Exited.
`void` | `afterTaskSuspendedEvent(Task ti)`
`protected BAMTaskSummaryImpl` | `createOrUpdateTask(Task ti)` Creates or updates a bam task summary instance.
`protected BAMTaskSummaryImpl` | `createOrUpdateTask(Task ti, BAMTaskEventListener.BAMTaskWorker worker)` Creates or updates a bam task summary instance.
`protected BAMTaskSummaryImpl` | `createOrUpdateTask(Task ti, Status newStatus)` Creates or updates a bam task summary instance.
`protected BAMTaskSummaryImpl` | `createOrUpdateTask(Task ti, Status newStatus, BAMTaskEventListener.BAMTaskWorker worker)` Creates or updates a bam task summary instance.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BAMTaskEventListener

    public BAMTaskEventListener()

Method Detail

### afterTaskStartedEvent

    public void afterTaskStartedEvent(@Observes(notifyObserver=ALWAYS)
                                      Task ti)

  Specified by:
    `afterTaskStartedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskActivatedEvent

    public void afterTaskActivatedEvent(@Observes(notifyObserver=ALWAYS)
                                        Task ti)

  Specified by:
    `afterTaskActivatedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskClaimedEvent

    public void afterTaskClaimedEvent(@Observes(notifyObserver=ALWAYS)
                                      Task ti)

  Specified by:
    `afterTaskClaimedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskCompletedEvent

    public void afterTaskCompletedEvent(@Observes(notifyObserver=ALWAYS)
                                        Task ti)

  Specified by:
    `afterTaskCompletedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskAddedEvent

    public void afterTaskAddedEvent(@Observes(notifyObserver=ALWAYS)
                                    Task ti)

  Specified by:
    `afterTaskAddedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSkippedEvent

    public void afterTaskSkippedEvent(Task ti)

  When a task is skipped, the status for dashbuilder integration task must be Exited.

  Specified by:
    `afterTaskSkippedEvent` in interface `TaskLifeCycleEventListener`
  Parameters:
    `ti` - The task.

### afterTaskStoppedEvent

    public void afterTaskStoppedEvent(@Observes(notifyObserver=ALWAYS)
                                      Task ti)

  When a task is stopped, the status for dashbuilder integration task must be Exited.

  Specified by:
    `afterTaskStoppedEvent` in interface `TaskLifeCycleEventListener`
  Parameters:
    `ti` - The task.

### afterTaskFailedEvent

    public void afterTaskFailedEvent(@Observes(notifyObserver=ALWAYS)
                                     Task ti)

  When a task is failed, the status for dashbuilder integration task must be Exited.

  Specified by:
    `afterTaskFailedEvent` in interface `TaskLifeCycleEventListener`
  Parameters:
    `ti` - The task.

### afterTaskExitedEvent

    public void afterTaskExitedEvent(@Observes(notifyObserver=ALWAYS)
                                     Task ti)

  Specified by:
    `afterTaskExitedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskReleasedEvent

    public void afterTaskReleasedEvent(@Observes(notifyObserver=ALWAYS)
                                       Task ti)

  Specified by:
    `afterTaskReleasedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskDelegatedEvent

    public void afterTaskDelegatedEvent(@Observes(notifyObserver=ALWAYS)
                                        Task ti)

  Specified by:
    `afterTaskDelegatedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskForwaredEvent

    public void afterTaskForwaredEvent(@Observes(notifyObserver=ALWAYS)
                                       Task ti)

### afterTaskNomiatedEvent

    public void afterTaskNomiatedEvent(@Observes(notifyObserver=ALWAYS)
                                       Task ti)

### afterTaskResumedEvent

    public void afterTaskResumedEvent(@Observes(notifyObserver=ALWAYS)
                                      Task ti)

  Specified by:
    `afterTaskResumedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskSuspendedEvent

    public void afterTaskSuspendedEvent(@Observes(notifyObserver=ALWAYS)
                                        Task ti)

  Specified by:
    `afterTaskSuspendedEvent` in interface `TaskLifeCycleEventListener`

### afterTaskForwardedEvent

    public void afterTaskForwardedEvent(@Observes(notifyObserver=ALWAYS)
                                        Task ti)

  Specified by:
    `afterTaskForwardedEvent` in interface `TaskLifeCycleEventListener`

### createOrUpdateTask

    protected BAMTaskSummaryImpl createOrUpdateTask(Task ti,
                                                    BAMTaskEventListener.BAMTaskWorker worker)

  Creates or updates a bam task summary instance.

  Parameters:
    `ti` - The source task
    `worker` - Perform additional operations to the bam task summary instance.
  Returns:
    The created or updated bam task summary instance.

### createOrUpdateTask

    protected BAMTaskSummaryImpl createOrUpdateTask(Task ti)

  Creates or updates a bam task summary instance.

  Parameters:
    `ti` - The source task
  Returns:
    The created or updated bam task summary instance.

### createOrUpdateTask

    protected BAMTaskSummaryImpl createOrUpdateTask(Task ti,
                                                    Status newStatus)

  Creates or updates a bam task summary instance.

  Parameters:
    `ti` - The source task
    `newStatus` - The new state for the task.
  Returns:
    The created or updated bam task summary instance.

### createOrUpdateTask

    protected BAMTaskSummaryImpl createOrUpdateTask(Task ti,
                                                    Status newStatus,
                                                    BAMTaskEventListener.BAMTaskWorker worker)

  Creates or updates a bam task summary instance.

  Parameters:
    `ti` - The source task
    `newStatus` - The new state for the task.
    `worker` - Perform additional operations to the bam task summary instance.
  Returns:
    The created or updated bam task summary instance.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0-SNAPSHOT
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.